Subject: Re: [TLS] Next steps for draft-ietf-tls-renegotiation

From: Nicolas Williams <[email-masked]>
Date: Tue, 1 Dec 2009 12:52:25 -0600

On Mon, Nov 30, 2009 at 07:11:43PM -0800, Eric Rescorla wrote:
> As far as I can tell, exactly the same thing can happen with an
> implicit proposals, if, for instance, the server always inserts 
> empty verify_data. Sure, that could be caught in testing, but
> so could the error you propose with RI. 

Not so: the Finished messages will necessarily fail to verify (assuming
that the verify_data computations are cryptographically strong).  No
additional checking is needed anywhere.

Nico
--